package com.bib.essensbestellungsverwaltung;
/*
    @author Malte Schulze Hobeling
 */

import java.util.ArrayList;
import java.util.List;

public class Parent extends User{
    List<Child> children;

    public Parent(long id, String name, String firstname, String password, String email, Address address, List<Child> children) {
        super(id, name, firstname, password, email, address);
        this.children = children;
    }
    public Parent(String name, String firstname, String password, String email, Address address) {
        super(name, firstname, password, email, address);
        this.children = new ArrayList<>();
    }

    public List<Child> getChildren() {
        return children;
    }
}
